## wally 1.0.8

=== DESCRIPTION ===
Package: wally
Type: Package
Title: The Wally Calibration Plot for Risk Prediction Models
Version: 1.0.8
Date: 2017-04-28
Author: Paul F Blanche <paulfblanche@gmail.com>, Thomas A. Gerds
    <tag@biostat.ku.dk>
Maintainer: Paul F. Blanche <paulfblanche@gmail.com>
Description: A prediction model is calibrated if, roughly, for any percentage x we can expect that x subjects out of 100 experience the event among all subjects that have a predicted risk of x%. A calibration plot provides a simple, yet useful, way of assessing the calibration assumption. The Wally plot consists of a sequence of usual calibration plots. Among the plots contained within the sequence, one is the actual calibration plot which has been obtained from the data and the others are obtained from similar simulated data under the calibration assumption. It provides the investigator with a direct visual understanding of the shape and sampling variability that are common under the calibration assumption. The original calibration plot from the data is included randomly among the simulated calibration plots, similarly to a police lineup. If the original calibration plot is not easily identified then the calibration assumption is not contradicted by the data. The method handles the common situations in which the data contain censored observations and occurrences of competing events.
Depends: R (>= 2.9.0), prodlim (>= 1.4.9)
Imports: stats, riskRegression (>= 1.0.8), data.table (>= 1.10.4)
Suggests: testthat, survival
License: GPL (>= 2)
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-05-17 06:25:12 UTC; paul
Repository: CRAN
Date/Publication: 2017-05-17 07:50:29 UTC

## wally 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wally
 Type: Package
 Title: The Wally Calibration Plot for Risk Prediction Models
-Version: 1.0.8
+Version: 1.0.9
 Date: 2017-04-28
 Author: Paul F Blanche <paulfblanche@gmail.com>, Thomas A. Gerds
     <tag@biostat.ku.dk>
@@ -13,6 +13,6 @@
 License: GPL (>= 2)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2017-05-17 06:25:12 UTC; paul
+Packaged: 2017-05-24 13:30:35 UTC; paul
 Repository: CRAN
-Date/Publication: 2017-05-17 07:50:29 UTC
+Date/Publication: 2017-05-24 23:23:16 UTC

## wally 1.0.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: wally
 Type: Package
 Title: The Wally Calibration Plot for Risk Prediction Models
-Version: 1.0.9
-Date: 2017-04-28
+Version: 1.0.10
 Author: Paul F Blanche <paulfblanche@gmail.com>, Thomas A. Gerds
     <tag@biostat.ku.dk>
 Maintainer: Paul F. Blanche <paulfblanche@gmail.com>
@@ -11,8 +10,8 @@
 Imports: stats, riskRegression (>= 1.0.8), data.table (>= 1.10.4)
 Suggests: testthat, survival
 License: GPL (>= 2)
-RoxygenNote: 5.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2017-05-24 13:30:35 UTC; paul
+Packaged: 2019-10-29 18:26:05 UTC; tag
 Repository: CRAN
-Date/Publication: 2017-05-24 23:23:16 UTC
+Date/Publication: 2019-10-30 14:40:02 UTC

## wally 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project( wally )

if( STATIC )
  if( NOT CMAKE_BUILD_TYPE )
    set( CMAKE_BUILD_TYPE Release )
  endif( NOT CMAKE_BUILD_TYPE )

  add_definitions( -DQT_STATICPLUGIN )
endif( STATIC )

set( WALLY_SRCS
       src/diskinfo.cpp
       include/diskinfo.h
       src/exif.cpp
       include/exif.h
       src/httpex.cpp
       include/httpex.h
       src/gui.cpp
       include/gui.h
       src/mapviewer.cpp
       include/mapviewer.h
       src/engine.cpp
       include/engine.h
       src/xtengine.cpp
       include/xtengine.h
       src/httpengine.cpp
       include/httpengine.h
       src/files.cpp
       include/files.h
       src/folders.cpp
       include/folders.h
       src/flickr.cpp
       include/flickr.h
       src/yahoo.cpp
       include/yahoo.h
       src/panoramio.cpp
       include/panoramio.h
       src/pikeo.cpp
       include/pikeo.h
       src/photobucket.cpp
       include/photobucket.h
       src/ipernity.cpp
       include/ipernity.h
       src/buzznet.cpp
       include/buzznet.h
       src/picasa.cpp
       include/picasa.h
       src/smugmug.cpp
       include/smugmug.h
       src/bing.cpp
       include/bing.h
       src/utils.cpp
       include/utils.h
       src/splash.cpp
       include/splash.h
       src/settings.cpp
       include/settings.h
       src/history.cpp
       include/history.h
       src/viewer.cpp
       include/viewer.h
       src/about.cpp
       include/about.h
       src/wally.cpp
       include/wally.h
       src/main.cpp
       include/defs.h
   )

set( WALLY_MOC_HDRS
       include/exif.h
       include/httpex.h
       include/gui.h
       include/mapviewer.h
       include/engine.h
       include/xtengine.h
       include/httpengine.h
       include/files.h
       include/folders.h
       include/flickr.h
       include/yahoo.h
       include/panoramio.h
       include/pikeo.h
       include/photobucket.h
       include/ipernity.h
       include/buzznet.h
       include/picasa.h
       include/smugmug.h
       include/bing.h
       include/splash.h
       include/settings.h
       include/history.h
       include/viewer.h
       include/about.h
       include/wally.h
   )

set( WALLY_UIS
       ui/files.ui
       ui/folders.ui
       ui/http.ui
       ui/settings.ui
       ui/viewer.ui
       ui/about.ui
   )

set( WALLY_RCS
       res/wally.qrc
   )

add_definitions( -Wall -Wextra -fexceptions -frtti -DUNICODE -DQT_THREAD_SUPPORT )

set( QT_USE_QTNETWORK TRUE )
set( QT_USE_QTXML TRUE )
set( QT_USE_QTSVG TRUE )
set( QT_USE_QTSQL TRUE )
set( QT_USE_QTSCRIPT TRUE )

find_package( PkgConfig REQUIRED )
pkg_check_modules( EXIF libexif )
if( EXIF_FOUND )
  add_definitions( -DEXIF )
  link_directories( ${EXIF_LIBRARY_DIRS} )
endif( EXIF_FOUND )

find_package( Qt4 REQUIRED )
include( ${QT_USE_FILE} )
qt4_add_resources( WALLY_RC_SRCS ${WALLY_RCS} )
qt4_wrap_ui( WALLY_UI_HDRS ${WALLY_UIS} )
qt4_wrap_cpp( WALLY_MOC_SRCS ${WALLY_MOC_HDRS} )
link_directories( ${QT_LIBRARY_DIR} ${QT_PLUGINS_DIR}/imageformats ${QT_PLUGINS_DIR}/sqldrivers )

include_directories( include ${EXIF_INCLUDE_DIRS} ${CMAKE_BINARY_DIR} )

if( APPLE )

  set( PROGNAME Wally )
  set( CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk/" )
  set( CMAKE_OSX_ARCHITECTURES "ppc;i386" )
  set( CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.4 )

  find_library( QT_GIF_PLUGIN qgif PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
  find_library( QT_ICO_PLUGIN qico PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
  find_library( QT_JPEG_PLUGIN qjpeg PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
  find_library( QT_MNG_PLUGIN qmng PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
  find_library( QT_SVG_PLUGIN qsvg PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
  find_library( QT_TIFF_PLUGIN qtiff PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
  find_library( QT_SQLITE_PLUGIN qsqlite PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES sqldrivers )

  find_library( SYSTEM_CONFIGURATION_LIBRARY SystemConfiguration )

  if( EXIF_FOUND )
    find_library( ICONV libiconv )
    if( ICONV-NOTFOUND )
      message( FATAL_ERROR "libiconv not found" )
    endif( ICONV-NOTFOUND )

    find_library( INTL libintl )
    if( INTL-NOTFOUND )
      message( FATAL_ERROR "gettext not found" )
    endif( INTL-NOTFOUND )
  endif( EXIF_FOUND )

  add_executable( ${PROGNAME} MACOSX_BUNDLE ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns )
  set_source_files_properties ( ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
  target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN} ${QT_MNG_PLUGIN}
                                     ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
                                     ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lqgif -lqico -lqjpeg -lqmng -lqsvg -lqtiff -lqsqlite
                                     -liconv -lintl ${SYSTEM_CONFIGURATION_LIBRARY} )

  set_target_properties( ${PROGNAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/mac/Info.plist )

  if( CMAKE_BUILD_TYPE STREQUAL Release )
    get_property( WALLY_PATH TARGET ${PROGNAME} PROPERTY LOCATION )
    add_custom_command( TARGET ${PROGNAME} POST_BUILD COMMAND strip ARGS ${WALLY_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
  endif( CMAKE_BUILD_TYPE STREQUAL Release )

  if( COMPRESS )
    find_program( UPX upx )

    if( UPX )
      get_property( WALLY_PATH TARGET ${PROGNAME} PROPERTY LOCATION )
      add_custom_command( TARGET ${PROGNAME} POST_BUILD COMMAND ${UPX} ARGS ${WALLY_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
    endif( UPX )
  endif( COMPRESS )

elseif( WIN32 )

  set( PROGNAME Wally )
  add_definitions( -DWINVER=0x0500 )
  add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/wally_rc.o
                      COMMAND windres.exe -I.
                                          -o ${CMAKE_CURRENT_BINARY_DIR}/wally_rc.o
                                          -i res/wally.rc
                      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )
  set( WALLY_SRCS ${WALLY_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/wally_rc.o )

  if( STATIC )
    set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static" )
    find_library( QT_GIF_PLUGIN qgif PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
    find_library( QT_ICO_PLUGIN qico PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
    find_library( QT_JPEG_PLUGIN qjpeg PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
    find_library( QT_MNG_PLUGIN qmng PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
    find_library( QT_SVG_PLUGIN qsvg PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
    find_library( QT_TIFF_PLUGIN qtiff PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
    find_library( QT_SQLITE_PLUGIN qsqlite PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES sqldrivers )
  endif( STATIC )

  add_executable( ${PROGNAME} WIN32 ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} )

  if( STATIC )
    target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN}
                                       ${QT_MNG_PLUGIN} ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
                                       ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lshlwapi -lversion -lshell32 )
  else( STATIC )
    target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
  endif( STATIC )

  if( COMPRESS )
    find_program( UPX upx )

    if( UPX )
      get_property( WALLY_PATH TARGET ${PROGNAME} PROPERTY LOCATION )
      add_custom_command( TARGET ${PROGNAME} POST_BUILD COMMAND ${UPX} ARGS ${WALLY_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
    endif( UPX )
  endif( COMPRESS )

else( APPLE )

  set( PROGNAME wally )
  add_executable( ${PROGNAME} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} )
  target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
  install( TARGETS ${PROGNAME} DESTINATION /usr/bin )

  if( CMAKE_BUILD_TYPE STREQUAL Release )
    get_property( WALLY_PATH TARGET ${PROGNAME} PROPERTY LOCATION )
    add_custom_command( TARGET ${PROGNAME} POST_BUILD COMMAND strip ARGS ${WALLY_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
  endif( CMAKE_BUILD_TYPE STREQUAL Release )

  find_package( KDE4 )
  if ( KDE4_FOUND )
    add_subdirectory( ${CMAKE_SOURCE_DIR}/wallyplugin )
  endif( KDE4_FOUND )

endif( APPLE )

file( GLOB TS_FILES ${CMAKE_SOURCE_DIR}/res/lang/*.ts )
foreach( TS_FILE ${TS_FILES} )
  get_filename_component( OUTFILE ${TS_FILE} NAME_WE )
  add_custom_target( ${OUTFILE} ALL ${QT_BINARY_DIR}/lrelease ${TS_FILE} WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/res/lang )
  add_dependencies( ${PROGNAME} ${OUTFILE} )
endforeach( TS_FILE ${TS_FILES} )

## wally 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
 endif( STATIC )
 
 set( WALLY_SRCS
+       include/version.h
+       include/idcache.h
+       src/json.cpp
+       include/json.h
        src/diskinfo.cpp
        include/diskinfo.h
        src/exif.cpp
@@ -116,7 +120,6 @@
 set( QT_USE_QTXML TRUE )
 set( QT_USE_QTSVG TRUE )
 set( QT_USE_QTSQL TRUE )
-set( QT_USE_QTSCRIPT TRUE )
 
 find_package( PkgConfig REQUIRED )
 pkg_check_modules( EXIF libexif )

=== wallyplugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(wallyplugin)

set(CMAKE_BUILD_TYPE Release)
execute_process(COMMAND "kde4-config" "--prefix" OUTPUT_VARIABLE KDE_CUSTOM_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
set(CMAKE_INSTALL_PREFIX "${KDE_CUSTOM_PREFIX}")

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ../include)

set(wallyplugin_SRCS wallyplugin.cpp wallyplugin.h)

kde4_add_plugin(plasma_wallpaper_wallyplugin ${wallyplugin_SRCS})
target_link_libraries(plasma_wallpaper_wallyplugin ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
if( CMAKE_BUILD_TYPE STREQUAL Release )
  get_property( WALLY_PLUGIN_PATH TARGET plasma_wallpaper_wallyplugin PROPERTY LOCATION )
  add_custom_command( TARGET plasma_wallpaper_wallyplugin POST_BUILD COMMAND strip ARGS ${WALLY_PLUGIN_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
endif( CMAKE_BUILD_TYPE STREQUAL Release )

install(TARGETS plasma_wallpaper_wallyplugin DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-wallpaper-wallyplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES wallyplugin.png DESTINATION ${ICON_INSTALL_DIR}/oxygen/16x16/apps)

install(CODE "execute_process(COMMAND kbuildsycoca4 OUTPUT_QUIET ERROR_QUIET)")
install(CODE "execute_process(COMMAND kdialog --title \"WallyPlugin\" --msgbox \"WallyPlugin will be loaded next time KDE is started. Please select it in Appearance Settings.\")")

=== debian/changelog ===
wally (2.3.2-0ubuntu2) oneiric; urgency=low

  * Build-depend directly on libx11-dev and x11proto-core-dev (LP: #832807).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 16:52:51 +0100

wally (2.3.2-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #582628).
  * Add debian/patches/01_fix_ftbfs_qt_plugins.patch
  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh7 rules and bump debian/compat to 7.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 21:42:49 +0200

wally (2.3.1-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #503539)
  * Changed some stuff to please the MOTU gods.

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Sun, 03 Jan 2010 21:46:19 +0000

=== debian/control ===
Source: wally
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev,
               libx11-dev,
               x11proto-core-dev
Standards-Version: 3.8.4
Homepage: http://www.becrux.com

Package: wally
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 wallpaper changer
 Wally is a Qt4 wallpaper changer using multiple sources like files,
 folders, FTP remote folders, Flickr, Yahoo!, Panoramio, Pikeo, Ipernity,
 Photobucket, Buzznet, Picasa and Smugmug images. It is available in many
 languages. Supported Linux window managers are GNOME, KDE 3, KDE 4, Xfce 4,
 BlackBox, FluxBox, Window Maker, and FVWM.

=== debian/watch ===
version=2
opts=dversionmangle=s/\.dfsg// \
http://www.becrux.com/pages/projects/wally/wally-(.*)\.tar\.gz

## wally 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 cmake_minimum_required(VERSION 2.6)
+
+if( COMMAND cmake_policy )
+  if( POLICY CMP0017 )
+    cmake_policy( SET CMP0017 NEW )
+  endif( POLICY CMP0017 )
+endif( COMMAND cmake_policy )
 
 project( wally )
 
@@ -7,7 +13,7 @@
     set( CMAKE_BUILD_TYPE Release )
   endif( NOT CMAKE_BUILD_TYPE )
 
-  add_definitions( -DQT_STATICPLUGIN )
+  add_definitions( -DQT_STATICPLUGIN -DWALLY_STATIC )
 endif( STATIC )
 
 set( WALLY_SRCS
@@ -19,8 +25,9 @@
        include/diskinfo.h
        src/exif.cpp
        include/exif.h
-       src/httpex.cpp
-       include/httpex.h
+       include/networkmanager.h
+       include/networkmanager_p.h
+       src/networkmanager.cpp
        src/gui.cpp
        include/gui.h
        src/mapviewer.cpp
@@ -41,8 +48,8 @@
        include/yahoo.h
        src/panoramio.cpp
        include/panoramio.h
-       src/pikeo.cpp
-       include/pikeo.h
+#       src/pikeo.cpp
+#       include/pikeo.h
        src/photobucket.cpp
        include/photobucket.h
        src/ipernity.cpp
@@ -53,8 +60,14 @@
        include/picasa.h
        src/smugmug.cpp
        include/smugmug.h
-       src/bing.cpp
-       include/bing.h
+#       src/bing.cpp
+#       include/bing.h
+       src/google.cpp
+       include/google.h
+       src/vladstudio.cpp
+       include/vladstudio.h
+       src/deviantart.cpp
+       include/deviantart.h
        src/utils.cpp
        include/utils.h
        src/splash.cpp
@@ -75,7 +88,8 @@
 
 set( WALLY_MOC_HDRS
        include/exif.h
-       include/httpex.h
+       include/networkmanager.h
+       include/networkmanager_p.h
        include/gui.h
        include/mapviewer.h
        include/engine.h
@@ -86,13 +100,16 @@
        include/flickr.h
        include/yahoo.h
        include/panoramio.h
-       include/pikeo.h
+#       include/pikeo.h
        include/photobucket.h
        include/ipernity.h
        include/buzznet.h
        include/picasa.h
        include/smugmug.h
-       include/bing.h
+#       include/bing.h
+       include/google.h
+       include/vladstudio.h
+       include/deviantart.h
        include/splash.h
        include/settings.h
        include/history.h
@@ -110,8 +127,29 @@
        ui/about.ui
    )
 
-set( WALLY_RCS
-       res/wally.qrc
+set( WALLY_IMAGES_RCS
+       res/images.qrc
+   )
+
+set( WALLY_LANGUAGES_RCS
+       ${CMAKE_CURRENT_BINARY_DIR}/languages.qrc
+   )
+
+set( WALLY_TS
+       res/lang/wally_ca.ts
+       res/lang/wally_cz.ts
+       res/lang/wally_de.ts
+       res/lang/wally_es.ts
+       res/lang/wally_fr.ts
+       res/lang/wally_gr.ts
+       res/lang/wally_it.ts
+       res/lang/wally_kr.ts
+       res/lang/wally_pl.ts
+       res/lang/wally_pt_BR.ts
+       res/lang/wally_ru.ts
+       res/lang/wally_zh_CN.ts
+       res/lang/wally_hu.ts
+       res/lang/wally_dk.ts
    )
 
 add_definitions( -Wall -Wextra -fexceptions -frtti -DUNICODE -DQT_THREAD_SUPPORT )
@@ -119,6 +157,9 @@
 set( QT_USE_QTNETWORK TRUE )
 set( QT_USE_QTXML TRUE )
 set( QT_USE_QTSVG TRUE )
+if ( ( NOT APPLE ) AND ( NOT WIN32 ) )
+  set( QT_USE_QTDBUS TRUE )
+endif( ( NOT APPLE ) AND ( NOT WIN32 ) )
 set( QT_USE_QTSQL TRUE )
 
 find_package( PkgConfig REQUIRED )
@@ -130,7 +171,10 @@
 
 find_package( Qt4 REQUIRED )
 include( ${QT_USE_FILE} )
-qt4_add_resources( WALLY_RC_SRCS ${WALLY_RCS} )
+configure_file( res/languages.qrc ${CMAKE_CURRENT_BINARY_DIR}/languages.qrc )
+qt4_add_translation( WALLY_QMS ${WALLY_TS} )
+qt4_add_resources( WALLY_IMAGES_RC_SRCS ${WALLY_IMAGES_RCS} )
+qt4_add_resources( WALLY_LANGUAGES_RC_SRCS ${WALLY_LANGUAGES_RCS} )
 qt4_wrap_ui( WALLY_UI_HDRS ${WALLY_UIS} )
 qt4_wrap_cpp( WALLY_MOC_SRCS ${WALLY_MOC_HDRS} )
 link_directories( ${QT_LIBRARY_DIR} ${QT_PLUGINS_DIR}/imageformats ${QT_PLUGINS_DIR}/sqldrivers )
@@ -166,11 +210,12 @@
     endif( INTL-NOTFOUND )
   endif( EXIF_FOUND )
 
-  add_executable( ${PROGNAME} MACOSX_BUNDLE ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns )
+  add_executable( ${PROGNAME} MACOSX_BUNDLE ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_IMAGES_RC_SRCS}
+                                            ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns )
   set_source_files_properties ( ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
   target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN} ${QT_MNG_PLUGIN}
                                      ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
-                                     ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lqgif -lqico -lqjpeg -lqmng -lqsvg -lqtiff -lqsqlite
+                                     ${QT_LIBRARIES} -lz ${EXIF_LIBRARIES} -lqgif -lqico -lqjpeg -lqmng -lqsvg -lqtiff -lqsqlite
                                      -liconv -lintl ${SYSTEM_CONFIGURATION_LIBRARY} )
 
   set_target_properties( ${PROGNAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/mac/Info.plist )
@@ -199,6 +244,8 @@
                                           -i res/wally.rc
                       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )
   set( WALLY_SRCS ${WALLY_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/wally_rc.o )
+
+  set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -enable-auto-import" )
 
   if( STATIC )
     set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static" )
@@ -211,12 +258,12 @@
     find_library( QT_SQLITE_PLUGIN qsqlite PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES sqldrivers )
   endif( STATIC )
 
-  add_executable( ${PROGNAME} WIN32 ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} )
+  add_executable( ${PROGNAME} WIN32 ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} )
 
   if( STATIC )
-    target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN}
-                                       ${QT_MNG_PLUGIN} ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
-                                       ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lshlwapi -lversion -lshell32 )
+   target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN}
+                                      ${QT_MNG_PLUGIN} ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
+                                      ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lshlwapi -lversion -lshell32 )
   else( STATIC )
     target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
   endif( STATIC )
@@ -233,7 +280,8 @@
 else( APPLE )
 
   set( PROGNAME wally )
-  add_executable( ${PROGNAME} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} )
+
+  add_executable( ${PROGNAME} ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} )
   target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
   install( TARGETS ${PROGNAME} DESTINATION /usr/bin )
 
@@ -248,10 +296,3 @@
   endif( KDE4_FOUND )
 
 endif( APPLE )
-
-file( GLOB TS_FILES ${CMAKE_SOURCE_DIR}/res/lang/*.ts )
-foreach( TS_FILE ${TS_FILES} )
-  get_filename_component( OUTFILE ${TS_FILE} NAME_WE )
-  add_custom_target( ${OUTFILE} ALL ${QT_BINARY_DIR}/lrelease ${TS_FILE} WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/res/lang )
-  add_dependencies( ${PROGNAME} ${OUTFILE} )
-endforeach( TS_FILE ${TS_FILES} )

=== debian/changelog ===
wally (2.4.2-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #739956).
    - fixes LP: #739938
  * Drop 01_fix_ftbfs_qt_plugins.patch, not necessary anymore.
  * Update watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 15 Oct 2011 23:50:40 +0400

## wally 2.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -150,6 +150,8 @@
        res/lang/wally_zh_CN.ts
        res/lang/wally_hu.ts
        res/lang/wally_dk.ts
+       res/lang/wally_se.ts
+       res/lang/wally_tr.ts
    )
 
 add_definitions( -Wall -Wextra -fexceptions -frtti -DUNICODE -DQT_THREAD_SUPPORT )

=== debian/changelog ===
wally (2.4.4-0ubuntu3) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 Apr 2013 15:24:04 -0400

wally (2.4.4-0ubuntu2) quantal; urgency=low

  * add pkg-config to build depends 

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 05 Oct 2012 11:50:15 +0200

wally (2.4.4-0ubuntu1) precise; urgency=low

  * New Upstream release.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 16 Jan 2012 17:26:07 +0530

=== debian/control ===
Source: wally
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends: cmake,
               debhelper (>= 7.3.16~),
               kdelibs5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.5.0~),
               x11proto-core-dev
Standards-Version: 3.9.2
Homepage: http://www.becrux.com

Package: wally
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt4 wallpaper changer
 Wally is a Qt4 wallpaper changer using multiple sources like files,
 folders, FTP remote folders, Flickr, Yahoo!, Panoramio, Pikeo, Ipernity,
 Photobucket, Buzznet, Picasa and Smugmug images. It is available in many
 languages. Supported Linux window managers are GNOME, KDE 3, KDE 4, Xfce 4,
 BlackBox, FluxBox, Window Maker, and FVWM.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

## wally 2.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
        include/folders.h
        src/flickr.cpp
        include/flickr.h
-       src/yahoo.cpp
-       include/yahoo.h
+#       src/yahoo.cpp
+#       include/yahoo.h
        src/panoramio.cpp
        include/panoramio.h
 #       src/pikeo.cpp
@@ -98,7 +98,7 @@
        include/files.h
        include/folders.h
        include/flickr.h
-       include/yahoo.h
+#       include/yahoo.h
        include/panoramio.h
 #       include/pikeo.h
        include/photobucket.h
@@ -148,6 +148,7 @@
        res/lang/wally_pt_BR.ts
        res/lang/wally_ru.ts
        res/lang/wally_zh_CN.ts
+       res/lang/wally_zh_TW.ts
        res/lang/wally_hu.ts
        res/lang/wally_dk.ts
        res/lang/wally_se.ts
@@ -247,10 +248,8 @@
                       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )
   set( WALLY_SRCS ${WALLY_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/wally_rc.o )
 
-  set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -enable-auto-import" )
-
   if( STATIC )
-    set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static" )
+    set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libstdc++ -static-libgcc" )
     find_library( QT_GIF_PLUGIN qgif PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
     find_library( QT_ICO_PLUGIN qico PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
     find_library( QT_JPEG_PLUGIN qjpeg PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES imageformats )
@@ -265,7 +264,7 @@
   if( STATIC )
    target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN}
                                       ${QT_MNG_PLUGIN} ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
-                                      ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lshlwapi -lversion -lshell32 )
+                                      ${QT_LIBRARIES} libexif.a -lm -lshlwapi -lversion -lshell32 )
   else( STATIC )
     target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
   endif( STATIC )
@@ -284,7 +283,7 @@
   set( PROGNAME wally )
 
   add_executable( ${PROGNAME} ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} )
-  target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
+  target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} X11 )
   install( TARGETS ${PROGNAME} DESTINATION /usr/bin )
 
   if( CMAKE_BUILD_TYPE STREQUAL Release )

=== wallyplugin/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
 execute_process(COMMAND "kde4-config" "--prefix" OUTPUT_VARIABLE KDE_CUSTOM_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
 set(CMAKE_INSTALL_PREFIX "${KDE_CUSTOM_PREFIX}")
 
+set(QT_USE_QTDBUS TRUE)
+
+find_package(Qt4 REQUIRED)
+include(${QT_USE_FILE})
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
@@ -16,11 +20,11 @@
 set(wallyplugin_SRCS wallyplugin.cpp wallyplugin.h)
 
 kde4_add_plugin(plasma_wallpaper_wallyplugin ${wallyplugin_SRCS})
-target_link_libraries(plasma_wallpaper_wallyplugin ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
-if( CMAKE_BUILD_TYPE STREQUAL Release )
+target_link_libraries(plasma_wallpaper_wallyplugin ${QT_LIBRARIES} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
+if(CMAKE_BUILD_TYPE STREQUAL Release)
   get_property( WALLY_PLUGIN_PATH TARGET plasma_wallpaper_wallyplugin PROPERTY LOCATION )
   add_custom_command( TARGET plasma_wallpaper_wallyplugin POST_BUILD COMMAND strip ARGS ${WALLY_PLUGIN_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
-endif( CMAKE_BUILD_TYPE STREQUAL Release )
+endif(CMAKE_BUILD_TYPE STREQUAL Release)
 
 install(TARGETS plasma_wallpaper_wallyplugin DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
wally (2.4.5-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Drop underlinkage patch, as it's no longer necessary.
  * Bump Standards-Version to 3.9.6.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 23 Nov 2014 04:14:18 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.5.0~),
                x11proto-core-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://www.becrux.com
 
 Package: wally

=== debian/watch ===
version=3
http://www.becrux.com/index.php?page=projects&name=wally .*/wally-([\d.]+).tar.gz
